Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | List of all members
Botan::PK_Ops::KEM_Decryption Class Referenceabstract

`#include <pk_ops.h>`

Inheritance diagram for Botan::PK_Ops::KEM_Decryption:

## Public Member Functions
virtual secure_vector< uint8_t > | kem_decrypt (const uint8_t encap_key[], size_t len, size_t desired_shared_key_len, const uint8_t salt[], size_t salt_len)=0
virtual | ~KEM_Decryption ()

## Detailed Description

Definition at line 145 of file pk_ops.h.

## Constructor & Destructor Documentation

## ◆ ~KEM_Decryption()

virtual Botan::PK_Ops::KEM_Decryption::~KEM_Decryption | ( |  | ) |
| inline virtual

Definition at line 154 of file pk_ops.h.

154{}

## Member Function Documentation

## ◆ kem_decrypt()

virtual secure_vector< uint8_t > Botan::PK_Ops::KEM_Decryption::kem_decrypt | ( | const uint8_t | encap_key[],
|  | size_t | len,
|  | size_t | desired_shared_key_len,
|  | const uint8_t | salt[],
|  | size_t | salt_len
| ) |  |
| pure virtual

Implemented in Botan::PK_Ops::KEM_Decryption_with_KDF.

The documentation for this class was generated from the following file:

- src/lib/pubkey/pk_ops.h